Subject: .gitattributes not forcing EOLs correctly for a CRLF-ending file on *NIX

From: Adam Monsen <[email-masked]>
Date: Fri, 22 Jul 2011 08:34:20 -0500

Anyone have ideas why my .gitattributes file isn't working?

Repo:  git://chordii.git.sourceforge.net/gitroot/chordii/chordii

File "INSTALL.WINDOWS" (in the top-level directory of the repo) should
always have crlf line endings, but my git 1.7.4.1 client says the file
is modified after a fresh clone. I'm on Ubuntu GNU/Linux, I have
core.autocrlf set to "input". The top-level .gitattributes file contains
one line: "INSTALL.WINDOWS eol=crlf".

More likely I'm misusing .gitattributes or the core.autocrlf setting.